PATCH
/
api
/
v1
/
properties
/
{property_id}
Update property
curl --request PATCH \
  --url http://127.0.0.1:8080/api/v1/properties/{property_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "address": "<string>",
  "city": "<string>",
  "district": "<string>",
  "ward": "<string>",
  "note": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "address": "<string>",
  "city": "<string>",
  "district": "<string>",
  "ward": "<string>",
  "note": "<string>",
  "archived_at": "2023-11-07T05:31:56Z"
}

Path Parameters

property_id
string<uuid>
required

Property ID

Body

application/json
name
string | null
address
string | null
city
string | null
district
string | null
ward
string | null
note
string | null

Response

200 - application/json

Updated property

id
string<uuid>
required
organization_id
string<uuid>
required
name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
address
string | null
city
string | null
district
string | null
ward
string | null
note
string | null
archived_at
string<date-time> | null